Not avoiding the 5.5.2?

Discussion in 'Wii U - Hacking & Backup Loaders' started by SpaceJump, Jul 24, 2017.

  1. SpaceJump
    OP

    SpaceJump Where's my new 2D-Metroid?

    Member
    3,673
    215
    Aug 18, 2005
    Gambia, The
    Zebes
    I keep reading about avoiding the 5.5.2 update with DNS-Settings. As far as I understand only the browser entry point is fixed. That brings me to these two questions:
    • Is it safe to update if I have the Homebrew Launcher Channel (transformed DS game) installed? No autoboot stuff, no RedNand. Will this channel still work after the update?
    • Will the games installed with WUPInstaller still work on 5.5.2?
    If both questions can be answered with "yes", is there a reason not to update?
     
  2. Glyptofane

    Glyptofane GBAtemp Advanced Fan

    Member
    575
    293
    Feb 12, 2009
    United States
    Any number of things could happen to corrupt your Haxchi installation. Better off not allowing the update for now.
     
    CuriousTommy and SpaceJump like this.
  3. SpaceJump
    OP

    SpaceJump Where's my new 2D-Metroid?

    Member
    3,673
    215
    Aug 18, 2005
    Gambia, The
    Zebes
    I see. Just for the sake of knowing: What about the installed games? Would they still work after the update?
     
  4. Glyptofane

    Glyptofane GBAtemp Advanced Fan

    Member
    575
    293
    Feb 12, 2009
    United States
    As far as I understand, yes, they should still work, but I haven't updated personally. VC, eshop exclusives, and games with DLC would still obviously require a method of running sigpatches in order to work.
     
  5. Dust2dust

    Dust2dust GBAtemp Advanced Fan

    Member
    621
    246
    Jun 17, 2010
    Canada
    Haxchi includes sigpatches within, so the OP is already covered in the area of CFW.
     
  6. SpaceJump
    OP

    SpaceJump Where's my new 2D-Metroid?

    Member
    3,673
    215
    Aug 18, 2005
    Gambia, The
    Zebes
    Is the corruption of the Haxchi installation after the update a common problem?
     
  7. Dust2dust

    Dust2dust GBAtemp Advanced Fan

    Member
    621
    246
    Jun 17, 2010
    Canada
    Not at all. Mostly scaremongering, I believe.
     
    Tony_93 likes this.
  8. Glyptofane

    Glyptofane GBAtemp Advanced Fan

    Member
    575
    293
    Feb 12, 2009
    United States
    Not at all, I just don't want to have a problem later down the line, and there seems to be no reason to update. You can still play online or do anything else without updating.
     
  9. Dust2dust

    Dust2dust GBAtemp Advanced Fan

    Member
    621
    246
    Jun 17, 2010
    Canada
    I second that! Absolutely no point in updating. No game requires 5.5.2, and online gameplay works fine on 5.5.1. Updating to 5.5.2 just removes one entrypoint that could prove useful if some problems occur down the line.
     
  10. jbaggs

    jbaggs Member

    Newcomer
    21
    2
    Dec 8, 2013
    United States
    You should stop giving out bad advice. There is always chance anywhere in the process for something to go wrong. But telling people that just by updating to 5.5.2 can cause corruption will cause false info to spread.
     
  11. Kafluke

    Kafluke GBAtemp Psycho!

    Member
    3,966
    1,912
    May 6, 2006
    United States
    That user said not to update. I think he/she is saying there is no reason to update yet. Verdict is still out on 5.5.2.
     
    Last edited by Kafluke, Jul 27, 2017